petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDARestoreElements

Returns an array containing the indices (in local coordinates) of all the local elements obtained with DMDAGetElements()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDARestoreElements(DM dm,PetscInt *nel,PetscInt *nen,const PetscInt *e[])

Not Collective

### Input Parameter

| dm | - the DM object
| nel | - number of local elements
| nen | - number of element nodes
| e | - the local indices of the elements' vertices

### See Also

DMDAElementType, DMDASetElementType(), DMDAGetElements()

Level:intermediate
Location:src/dm/impls/da/dagetelem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ts/examples/tutorials/ex23.c.html